apiVersion: networking.k8s.io/v1beta1
kind: Ingress
metadata:
  name: nginx-ingress-multi-resource
spec:
  rules:
  - host: nginx.opti.com
    http:
      paths:
      - backend:
          serviceName: nginx-deploy-main
          servicePort: 80
  - host: blue.nginx.opti.com
    http:
      paths:
      - backend:
          serviceName: nginx-deploy-blue
          servicePort: 80
  - host: green.nginx.opti.com
    http:
      paths:
      - backend:
          serviceName: nginx-deploy-green
          servicePort: 80

